API referenceProjects
Create a project
POST
/projectscurl -X POST "https://actions.53degrees.app/api/v1/projects" \
-H "Authorization: Bearer $53_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
namestringrequireddescriptionstringstageIdstringAn id the API returned.
priorityenum<string>One of:urgenthighmediumlownonestartDatestringAn ISO 8601 date or date-time.
dueDatestringAn ISO 8601 date or date-time.
accessLevelenum<string>Who can see it; the organisation's default when left out.
One of:publicprivateprojectLeadstringAn id the API returned.
membersstring[]fromDealIdstringThe deal it was won from.
Response
application/json
Success
idstringrequiredAn id the API returned.
objectenum<string>requiredOne of:projectnamestringrequiredstageIdstringrequiredstagestring | nullrequiredpriorityenum<string>requiredOne of:urgenthighmediumlownoneaccessLevelenum<string>requiredOne of:publicprivatestartDatestring | nullrequireddueDatestring | nullrequiredprojectLeadstring | nullrequiredtagsstring[]requiredcreatedAtstringrequiredISO 8601.
updatedAtstringrequiredISO 8601.
{
"id": "string",
"object": "project",
"name": "string",
"stageId": "string",
"stage": "string",
"priority": "urgent",
"accessLevel": "public",
"startDate": "string",
"dueDate": "string",
"projectLead": "string",
"tags": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}